net.sourceforge.pmd.dcd.graph

## Interface NodeVisitor

All Known Implementing Classes:
  DumpNodeVisitor, NodeVisitorAdapter, UsageNodeVisitor

    public interface NodeVisitor

Visitor for nodes in a UsageGraph.

### Method Summary

Methods
`Object` `visit(ClassNode classNode, Object data)`
`Object` `visit(ConstructorNode constructorNode, Object data)`
`Object` `visit(FieldNode fieldNode, Object data)`
`Object` `visit(MethodNode methodNode, Object data)`
`Object` `visit(UsageGraph usageGraph, Object data)`
`Object` `visitConstructors(ClassNode classNode, Object data)`
`Object` `visitFields(ClassNode classNode, Object data)`
`Object` `visitMethods(ClassNode classNode, Object data)`
`Object` `visitUse(MemberNode use, Object data)`
`Object` `visitUser(MemberNode user, Object data)`
`Object` `visitUsers(MemberNode memberNode, Object data)`
`Object` `visitUses(MemberNode memberNode, Object data)`

### Method Detail

#### visit

    Object visit(UsageGraph usageGraph,
               Object data)

#### visit

    Object visit(ClassNode classNode,
               Object data)

#### visitFields

    Object visitFields(ClassNode classNode,
                     Object data)

#### visit

    Object visit(FieldNode fieldNode,
               Object data)

#### visitConstructors

    Object visitConstructors(ClassNode classNode,
                           Object data)

#### visit

    Object visit(ConstructorNode constructorNode,
               Object data)

#### visitMethods

    Object visitMethods(ClassNode classNode,
                      Object data)

#### visit

    Object visit(MethodNode methodNode,
               Object data)

#### visitUses

    Object visitUses(MemberNode memberNode,
                   Object data)

#### visitUse

    Object visitUse(MemberNode use,
                  Object data)

#### visitUsers

    Object visitUsers(MemberNode memberNode,
                    Object data)

#### visitUser

    Object visitUser(MemberNode user,
                   Object data)